Index: unk/COPYING
===================================================================
--- /trunk/COPYING	(revision 473)
+++ 	(revision )
@@ -1,344 +1,0 @@
-		    GNU GENERAL PUBLIC LICENSE
-		       Version 2, June 1991
-
- Copyright (C) 1989, 1991 Free Software Foundation, Inc.
-                          675 Mass Ave, Cambridge, MA 02139, USA
- Everyone is permitted to copy and distribute verbatim copies
- of this license document, but changing it is not allowed.
-
-			    Preamble
-
-  The licenses for most software are designed to take away your
-freedom to share and change it.  By contrast, the GNU General Public
-License is intended to guarantee your freedom to share and change free
-software--to make sure the software is free for all its users.  This
-General Public License applies to most of the Free Software
-Foundation's software and to any other program whose authors commit to
-using it.  (Some other Free Software Foundation software is covered by
-the GNU Library General Public License instead.)  You can apply it to
-your programs, too.
-
-  When we speak of free software, we are referring to freedom, not
-price.  Our General Public Licenses are designed to make sure that you
-have the freedom to distribute copies of free software (and charge for
-this service if you wish), that you receive source code or can get it
-if you want it, that you can change the software or use pieces of it
-in new free programs; and that you know you can do these things.
-
-  To protect your rights, we need to make restrictions that forbid
-anyone to deny you these rights or to ask you to surrender the rights.
-These restrictions translate to certain responsibilities for you if you
-distribute copies of the software, or if you modify it.
-
-  For example, if you distribute copies of such a program, whether
-gratis or for a fee, you must give the recipients all the rights that
-you have.  You must make sure that they, too, receive or can get the
-source code.  And you must show them these terms so they know their
-rights.
-
-  We protect your rights with two steps: (1) copyright the software, and
-(2) offer you this license which gives you legal permission to copy,
-distribute and/or modify the software.
-
-  Also, for each author's protection and ours, we want to make certain
-that everyone understands that there is no warranty for this free
-software.  If the software is modified by someone else and passed on, we
-want its recipients to know that what they have is not the original, so
-that any problems introduced by others will not reflect on the original
-authors' reputations.
-
-  Finally, any free program is threatened constantly by software
-patents.  We wish to avoid the danger that redistributors of a free
-program will individually obtain patent licenses, in effect making the
-program proprietary.  To prevent this, we have made it clear that any
-patent must be licensed for everyone's free use or not licensed at all.
-
-  The precise terms and conditions for copying, distribution and
-modification follow.
-
-
-		    GNU GENERAL PUBLIC LICENSE
-   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
-
-  0. This License applies to any program or other work which contains
-a notice placed by the copyright holder saying it may be distributed
-under the terms of this General Public License.  The "Program", below,
-refers to any such program or work, and a "work based on the Program"
-means either the Program or any derivative work under copyright law:
-that is to say, a work containing the Program or a portion of it,
-either verbatim or with modifications and/or translated into another
-language.  (Hereinafter, translation is included without limitation in
-the term "modification".)  Each licensee is addressed as "you".
-
-Activities other than copying, distribution and modification are not
-covered by this License; they are outside its scope.  The act of
-running the Program is not restricted, and the output from the Program
-is covered only if its contents constitute a work based on the
-Program (independent of having been made by running the Program).
-Whether that is true depends on what the Program does.
-
-  1. You may copy and distribute verbatim copies of the Program's
-source code as you receive it, in any medium, provided that you
-conspicuously and appropriately publish on each copy an appropriate
-copyright notice and disclaimer of warranty; keep intact all the
-notices that refer to this License and to the absence of any warranty;
-and give any other recipients of the Program a copy of this License
-along with the Program.
-
-You may charge a fee for the physical act of transferring a copy, and
-you may at your option offer warranty protection in exchange for a fee.
-
-  2. You may modify your copy or copies of the Program or any portion
-of it, thus forming a work based on the Program, and copy and
-distribute such modifications or work under the terms of Section 1
-above, provided that you also meet all of these conditions:
-
-    a) You must cause the modified files to carry prominent notices
-    stating that you changed the files and the date of any change.
-
-    b) You must cause any work that you distribute or publish, that in
-    whole or in part contains or is derived from the Program or any
-    part thereof, to be licensed as a whole at no charge to all third
-    parties under the terms of this License.
-
-    c) If the modified program normally reads commands interactively
-    when run, you must cause it, when started running for such
-    interactive use in the most ordinary way, to print or display an
-    announcement including an appropriate copyright notice and a
-    notice that there is no warranty (or else, saying that you provide
-    a warranty) and that users may redistribute the program under
-    these conditions, and telling the user how to view a copy of this
-    License.  (Exception: if the Program itself is interactive but
-    does not normally print such an announcement, your work based on
-    the Program is not required to print an announcement.)
-
-
-These requirements apply to the modified work as a whole.  If
-identifiable sections of that work are not derived from the Program,
-and can be reasonably considered independent and separate works in
-themselves, then this License, and its terms, do not apply to those
-sections when you distribute them as separate works.  But when you
-distribute the same sections as part of a whole which is a work based
-on the Program, the distribution of the whole must be on the terms of
-this License, whose permissions for other licensees extend to the
-entire whole, and thus to each and every part regardless of who wrote it.
-
-Thus, it is not the intent of this section to claim rights or contest
-your rights to work written entirely by you; rather, the intent is to
-exercise the right to control the distribution of derivative or
-collective works based on the Program.
-
-In addition, mere aggregation of another work not based on the Program
-with the Program (or with a work based on the Program) on a volume of
-a storage or distribution medium does not bring the other work under
-the scope of this License.
-
-  3. You may copy and distribute the Program (or a work based on it,
-under Section 2) in object code or executable form under the terms of
-Sections 1 and 2 above provided that you also do one of the following:
-
-    a) Accompany it with the complete corresponding machine-readable
-    source code, which must be distributed under the terms of Sections
-    1 and 2 above on a medium customarily used for software interchange; or,
-
-    b) Accompany it with a written offer, valid for at least three
-    years, to give any third party, for a charge no more than your
-    cost of physically performing source distribution, a complete
-    machine-readable copy of the corresponding source code, to be
-    distributed under the terms of Sections 1 and 2 above on a medium
-    customarily used for software interchange; or,
-
-    c) Accompany it with the information you received as to the offer
-    to distribute corresponding source code.  (This alternative is
-    allowed only for noncommercial distribution and only if you
-    received the program in object code or executable form with such
-    an offer, in accord with Subsection b above.)
-
-The source code for a work means the preferred form of the work for
-making modifications to it.  For an executable work, complete source
-code means all the source code for all modules it contains, plus any
-associated interface definition files, plus the scripts used to
-control compilation and installation of the executable.  However, as a
-special exception, the source code distributed need not include
-anything that is normally distributed (in either source or binary
-form) with the major components (compiler, kernel, and so on) of the
-operating system on which the executable runs, unless that component
-itself accompanies the executable.
-
-If distribution of executable or object code is made by offering
-access to copy from a designated place, then offering equivalent
-access to copy the source code from the same place counts as
-distribution of the source code, even though third parties are not
-compelled to copy the source along with the object code.
-
-
-  4. You may not copy, modify, sublicense, or distribute the Program
-except as expressly provided under this License.  Any attempt
-otherwise to copy, modify, sublicense or distribute the Program is
-void, and will automatically terminate your rights under this License.
-However, parties who have received copies, or rights, from you under
-this License will not have their licenses terminated so long as such
-parties remain in full compliance.
-
-  5. You are not required to accept this License, since you have not
-signed it.  However, nothing else grants you permission to modify or
-distribute the Program or its derivative works.  These actions are
-prohibited by law if you do not accept this License.  Therefore, by
-modifying or distributing the Program (or any work based on the
-Program), you indicate your acceptance of this License to do so, and
-all its terms and conditions for copying, distributing or modifying
-the Program or works based on it.
-
-  6. Each time you redistribute the Program (or any work based on the
-Program), the recipient automatically receives a license from the
-original licensor to copy, distribute or modify the Program subject to
-these terms and conditions.  You may not impose any further
-restrictions on the recipients' exercise of the rights granted herein.
-You are not responsible for enforcing compliance by third parties to
-this License.
-
-  7. If, as a consequence of a court judgment or allegation of patent
-infringement or for any other reason (not limited to patent issues),
-conditions are imposed on you (whether by court order, agreement or
-otherwise) that contradict the conditions of this License, they do not
-excuse you from the conditions of this License.  If you cannot
-distribute so as to satisfy simultaneously your obligations under this
-License and any other pertinent obligations, then as a consequence you
-may not distribute the Program at all.  For example, if a patent
-license would not permit royalty-free redistribution of the Program by
-all those who receive copies directly or indirectly through you, then
-the only way you could satisfy both it and this License would be to
-refrain entirely from distribution of the Program.
-
-If any portion of this section is held invalid or unenforceable under
-any particular circumstance, the balance of the section is intended to
-apply and the section as a whole is intended to apply in other
-circumstances.
-
-It is not the purpose of this section to induce you to infringe any
-patents or other property right claims or to contest validity of any
-such claims; this section has the sole purpose of protecting the
-integrity of the free software distribution system, which is
-implemented by public license practices.  Many people have made
-generous contributions to the wide range of software distributed
-through that system in reliance on consistent application of that
-system; it is up to the author/donor to decide if he or she is willing
-to distribute software through any other system and a licensee cannot
-impose that choice.
-
-This section is intended to make thoroughly clear what is believed to
-be a consequence of the rest of this License.
-
-
-  8. If the distribution and/or use of the Program is restricted in
-certain countries either by patents or by copyrighted interfaces, the
-original copyright holder who places the Program under this License
-may add an explicit geographical distribution limitation excluding
-those countries, so that distribution is permitted only in or among
-countries not thus excluded.  In such case, this License incorporates
-the limitation as if written in the body of this License.
-
-  9. The Free Software Foundation may publish revised and/or new versions
-of the General Public License from time to time.  Such new versions will
-be similar in spirit to the present version, but may differ in detail to
-address new problems or concerns.
-
-Each version is given a distinguishing version number.  If the Program
-specifies a version number of this License which applies to it and "any
-later version", you have the option of following the terms and conditions
-either of that version or of any later version published by the Free
-Software Foundation.  If the Program does not specify a version number of
-this License, you may choose any version ever published by the Free Software
-Foundation.
-
-  10. If you wish to incorporate parts of the Program into other free
-programs whose distribution conditions are different, write to the author
-to ask for permission.  For software which is copyrighted by the Free
-Software Foundation, write to the Free Software Foundation; we sometimes
-make exceptions for this.  Our decision will be guided by the two goals
-of preserving the free status of all derivatives of our free software and
-of promoting the sharing and reuse of software generally.
-
-			    NO WARRANTY
-
-  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
-FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
-OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
-PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
-OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
-TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
-PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
-REPAIR OR CORRECTION.
-
-  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
-WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
-REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
-INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
-OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
-TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
-YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
-PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
-POSSIBILITY OF SUCH DAMAGES.
-
-		     END OF TERMS AND CONDITIONS
-
-
-	Appendix: How to Apply These Terms to Your New Programs
-
-  If you develop a new program, and you want it to be of the greatest
-possible use to the public, the best way to achieve this is to make it
-free software which everyone can redistribute and change under these terms.
-
-  To do so, attach the following notices to the program.  It is safest
-to attach them to the start of each source file to most effectively
-convey the exclusion of warranty; and each file should have at least
-the "copyright" line and a pointer to where the full notice is found.
-
-    <one line to give the program's name and a brief idea of what it does.>
-    Copyright (C) 19yy  <name of author>
-
-    This program is free software; you can redistribute it and/or modify
-    it under the terms of the GNU General Public License as published by
-    the Free Software Foundation; either version 2 of the License, or
-    (at your option) any later version.
-
-    This program is distributed in the hope that it will be useful,
-    but WITHOUT ANY WARRANTY; without even the implied warranty of
-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-    GNU General Public License for more details.
-
-    You should have received a copy of the GNU General Public License
-    along with this program; if not, write to the Free Software
-    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-
-Also add information on how to contact you by electronic and paper mail.
-
-If the program is interactive, make it output a short notice like this
-when it starts in an interactive mode:
-
-    Gnomovision version 69, Copyright (C) 19yy name of author
-    Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
-    This is free software, and you are welcome to redistribute it
-    under certain conditions; type `show c' for details.
-
-The hypothetical commands `show w' and `show c' should show the appropriate
-parts of the General Public License.  Of course, the commands you use may
-be called something other than `show w' and `show c'; they could even be
-mouse-clicks or menu items--whatever suits your program.
-
-You should also get your employer (if you work as a programmer) or your
-school, if any, to sign a "copyright disclaimer" for the program, if
-necessary.  Here is a sample; alter the names:
-
-  Yoyodyne, Inc., hereby disclaims all copyright interest in the program
-  `Gnomovision' (which makes passes at compilers) written by James Hacker.
-
-  <signature of Ty Coon>, 1 April 1989
-  Ty Coon, President of Vice
-
-This General Public License does not permit incorporating your program into
-proprietary programs.  If your program is a subroutine library, you may
-consider it more useful to permit linking proprietary applications with the
-library.  If this is what you want to do, use the GNU Library General
-Public License instead of this License.
Index: unk/CodingConventions.txt
===================================================================
--- /trunk/CodingConventions.txt	(revision 473)
+++ 	(revision )
@@ -1,154 +1,0 @@
-
-XWorkplace/WarpIN Coding Conventions
-(W) Ulrich Mller, March 13, 2000
-Last updated January 22, 2001 Ulrich Mller
-
-When adding code to XWorkplace, WarpIN, or the XWorkplace helpers,
-please follow the coding conventions outlined below.
-
-Yes, I know everyone has his/her favorite coding style. This is
-a likely topic to cause endless debate, but if you contribute to
-my projects... please follow my style.
-
-In addition to consistency, this is very helpful for automatic code
-documentation through xdoc. See tools/xdoc in the WarpIN source tree
-for more about that utility.
-
-Here we go:
-
-    1.  Use a tab size of 4. Use real spaces instead of tabs.
-
-    2.  Align parameters vertically with function calls, at least
-        in function headers:
-
-            int StoreExecuteRexxCode(const char *pcszName,
-                                     const char *pcszCode,
-                                     const char *pcszArgs,
-                                     char **ppszRet);
-
-        Add xdoc documentation to all functions and parameters,
-        as outlined below.
-
-    3.  Brackets style:
-
-                if (condition)
-                {
-                    // do this
-                }
-                else
-                {
-                    // do that
-                }
-
-        You may leave out brackets if there's only one statement
-        after if or else, of course, but with nested if statements,
-        I usually add them even in that case since it's so easy
-        to mismatch the nesting then.
-
-    4.  switch/case style:
-
-                switch (msg)
-                {
-                    case WM_CREATE:
-                        // code
-                    break;
-
-                    case WM_DESTROY:
-                        // code
-                    break;
-                }
-
-    5.  For all variables, use the usual OS/2 type prefixes.
-        Here are some:
-
-        CHAR    c       (char)
-        PSZ     psz     (char* pointer)
-        PCSZ    pcsz    (const char* pointer)
-
-        USHORT  us      (unsigned short)
-        SHORT   s       (short)
-        ULONG   ul      (unsigned long)
-        LONG    l       (long)
-        BYTE    b       (byte)
-
-        BOOL    f       (flag)
-        LONG    fl      (for LONG's containing OR'ed flags)
-        SHORT   fs      (for SHORT's containing OR'ed flags)
-
-        string/BSString str (C++ string class instance)
-
-        For arrays, prefix "a" (e.g. USHORT ausThings[3]).
-        For pointers, prefix "p" (e.g. USHORT *pausThings[3]).
-
-    6.  Prefix C++ class member variables with an underscore ("_").
-        This allows people who are not familiar with the class
-        interface to identify member variables easily. Also, this
-        has a certain consistency with SOM/WPS class member
-        variables.
-
-    7.  Prefix global variables with "G_" for the same reason.
-        Global variables are potentially dangerous, so these
-        can be more easily identified.
-
-    8.  Comment your functions in xdoc-style. See any function
-        in the sources for how this can be done. Basically, use
-        /* */-style comments before the function header and
-        xdoc tags in that block.
-
-        Sorta like this:
-
-        /*
-         *@@ Create:
-         *      create something.
-         */
-
-        PVOID Create(PVOID pvCreateFrom,    // in: create from
-                     PULONG pulCount)       // out: new count
-        {
-            ... // code, ignored by xdoc
-        }
-
-        xdoc will even take the parameter descriptions if they
-        are specified as above.
-
-        tools/xdoc/readme.txt in the WarpIN sources has a more
-        detailed description.
-
-        I usually only document functions in the source files,
-        not in the headers. Even though xdoc will find documentation
-        in headers also, changing headers causes recompiles,
-        especially with the complex include hierarchy of WarpIN.
-        Also, changing code documentation in the sources only
-        reduces the amount of code which needs to be committed
-        to the CVS server.
-
-    9.  When changing code, mark the code as changed in the
-        xdoc comment by using something like the following:
-
-        @@changed V0.9.2 (2000-03-10) [umoeller]: fixed memory leak
-            |        |        |          |          |
-            |        |        |          |          +-- description
-            |        |        |          |
-            |        |        |          +- author tag (same as CVS login)
-            |        |        |
-            |        |        +-- ISO date (year, month, day)
-            |        |
-            |        +-- XWorkplace/WarpIN version number
-            |
-            +-- xdoc tag ("@@changed" or "@@added")
-
-        xdoc can create a full change log if these things are set
-        properly. Try "createdoc.cmd" or "createchangelog.cmd" in
-        the WarpIN and XWorkplace main source directories,
-        respectively.
-
-        Also, this way I can do a simple search over all files
-        to update the readme with changes and bugfixes for the new
-        version.
-
-    10. When adding a new function, use the same, just use @@added
-        instead of @@changed.
-
-Thank you!
-
-
Index: unk/createchangelog.cmd
===================================================================
--- /trunk/createchangelog.cmd	(revision 473)
+++ 	(revision )
@@ -1,12 +1,0 @@
-/* createdoc.cmd:
-    this calls xdoc\xdoc.exe on all the *.c files in \main and \helpers
-    to have HTML reference documentation created.
-    After this has been executed, open HTML\index.html to view the
-    documentation. */
-
-call RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
-call SysLoadFuncs
-
-'@echo off'
-'call xdoc -C "-iinclude" src\helpers\*.c'
-
Index: unk/createdoc.cmd
===================================================================
--- /trunk/createdoc.cmd	(revision 473)
+++ 	(revision )
@@ -1,14 +1,0 @@
-/* createdoc.cmd:
-    this calls xdoc\xdoc.exe on all the *.c files in \main and \helpers
-    to have HTML reference documentation created.
-    After this has been executed, open HTML\index.html to view the
-    documentation. */
-
-call RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
-call SysLoadFuncs
-
-'@echo off'
-'call xdoc "-iinclude" src\helpers\*.c'
-
-rc = SysCreateObject("WPShadow", "index.html", directory(), "SHADOWID="directory()"\HTML\index.html", "R");
-
Index: unk/makefile
===================================================================
--- /trunk/makefile	(revision 473)
+++ 	(revision )
@@ -1,22 +1,0 @@
-
-#
-# makefile:
-#
-#       simple makefile which basically only goes into the
-#       src\helpers subdirectory.
-#
-
-PROJECT_BASE_DIR = $(MAKEDIR)
-
-INCLUDE = $(PROJECT_BASE_DIR)\include\helpers;$(INCLUDE)
-
-all:
-    @cd src\helpers
-    nmake -nologo
-    @cd ..\..
-
-dep:
-    cd src\helpers
-    nmake -nologo dep "SUBTARGET=dep" "RUNDEPONLY=1"
-    cd ..\..
-
Index: unk/readme.txt
===================================================================
--- /trunk/readme.txt	(revision 473)
+++ 	(revision )
@@ -1,236 +1,0 @@
-XWP Helpers 0.9.7 README
-(W) Ulrich Mller, October 26, 2000
-Last updated Feb 03, 2002 Ulrich Mller
-
-
-0. CONTENTS OF THIS FILE
-========================
-
-    1. LICENSE, COPYRIGHT, DISCLAIMER
-    2. INTRODUCTION
-    3. EXECUTABLE TOOLS
-    4. CREATING CODE DOCUMENTATION
-    5. COMPILING
-    6. INCLUDING HEADER FILES
-
-
-1. LICENSE, COPYRIGHT, DISCLAIMER
-=================================
-
-    Copyright (C) 1997-2001 Ulrich Mller,
-                            Christian Langanke,
-                            and others (see the individual source files).
-
-    Most of this library is published under the GNU General Public Licence.
-    You can redistribute it and/or modify those parts under the terms of the
-    GNU General Public License as contained in the file COPYING in the
-    main directory.
-
-    Parts of this library are published under MIT licence. See the
-    COPYING.MIT file in the main directory.
-
-    See the individual source files for what licence applies.
-
-    This program is distributed in the hope that it will be useful,
-    but WITHOUT ANY WARRANTY; without even the implied warranty of
-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
-
-
-2. INTRODUCTION
-===============
-
-    Welcome to the XWorkplace Helpers.
-
-    This CVS archive is intended to support OS/2 developers with any
-    code they might need writing OS/2 programs.
-
-    The XWPHelpers are presently used in XWorkplace and WarpIN. They
-    started out from various code snippets I created for XFolder,
-    the predecessor of XWorkplace. I then isolated the code which could
-    be used independently and put that code into separate directories
-    in the WarpIN CVS repository (also at Netlabs).
-
-    At Warpstock Europe 2000 in Karlsruhe, I talked to a number of
-    developers and then decided that this should become an independent
-    Netlabs CVS archive so that other people can more easily contribute.
-
-    Even though the helpers are called "XWorkplace helpers", they
-    have nothing to do with WPS and SOM programming. They can help
-    any OS/2 programmer.
-
-    The XWPHelpers offer you frequently used code for writing all
-    sorts of OS/2 programs, including:
-
-    --  standard C code which is independent of the OS/2 platform
-        (and should even work for Unix or Windows);
-
-    --  OS/2-specific code which can be used in any OS/2 program
-        (VIO or PM);
-
-    --  PM-specific code which assists you in writing PM programs.
-
-    The XWPHelpers can be compiled with EMX/GCC or IBM VisualAge
-    C++ 3.08. They can be used with C or C++ programs. All typecasts
-    should be C++-compatible.
-
-
-    Getting Sources from Netlabs CVS
-    --------------------------------
-
-    First set the CVS enviroment:
-        CVSROOT=:pserver:guest@www.netlabs.org:d:/netlabs.src/xwphelpers
-        USER=guest
-
-    Then, to check out the most current XWPHelpers sources, create
-    a subdirectory in your CVS root dir called "xwphelpers".
-
-    Do a "cvs login" with "readonly" as your password and do a
-    "cvs checkout ." from the "xwphelpers" subdirectory. Don't forget
-    the dot.
-
-    Alternatively, use the Netlabs Open Source Archive Client (NOSAC).
-    See http://www.netlabs.org/nosa for details.
-
-    In any case, I strongly recommend to create a file in $(HOME)
-    called ".cvsrc" and add "cvs -z9" in there to enable maximum
-    compression during transfers. This greatly speeds up things.
-
-
-3. EXECUTABLE TOOLS
-===================
-
-    The root directory of this repository contains a few executables
-    in binary form that are used by XWorkplace and WarpIN.
-
-
-    --  FastDep.exe was written by Knut Stange Osmundsen (taken from
-        the Odin sources) and is used by the "nmake dep" facility
-        of both WarpIN and XWorkplace. This scans C source files
-        and writes dependencies for the makefiles automatically.
-
-    --  h2i.exe was written by me (the sources are in the xworkplace
-        repository, in the "tools" directory) to translate a bunch
-        of HTML files to IPF.
-
-    --  strrpl.exe was written by me (the sources are in the warpin
-        repository, in the "tools" directory) to replace strings in
-        text files.
-
-    --  xdoc.exe was written by me (the sources are in the warpin
-        repository, in the "tools" directory) to extract documentation
-        from C source files directory. See "Creating code documentation"
-        below.
-
-
-4. CREATING CODE DOCUMENTATION
-==============================
-
-    The XWPHelpers do not come with pre-made documentation. However,
-    you can automatically have extensive, categorized documentation
-    generated automatically from the C sources using my "xdoc"
-    utility, which resides in the main directory of the helpers.
-    (The source code for xdoc is in the WarpIN CVS repository
-    because it shares some C++ code with WarpIN.)
-
-    To have the code generated, simply call "createdoc.cmd" in the
-    main directory. This will call xdoc in turn with the proper
-    parameters and create a new "HTML" directory, from where you
-    should start with the "index.html" file.
-
-
-5. COMPILING
-============
-
-    You don't have to worry about compilation if you only want
-    to compile XWorkplace or WarpIN. The makefiles of those two
-    projects are set up properly to automatically compile the
-    XWPHelpers as well. This section is only for people who
-    want to compile the XWPHelpers separately for use in a
-    different project.
-
-    Compiling is a bit tricky because the code and the makefiles
-    were designed to be independent of any single project. As a
-    result, I had to used environment variables in order to pass
-    parameters to the makefiles.
-
-    --  The most important environment variable is PROJECT_BASE_DIR.
-        This should point to the root directory of your own project.
-
-    --  In the "make" subdirectory of that directory, the helpers
-        makefiles expect a file called "setup.in" which sets up more
-        environment variables. You can take the ones from XWorkplace
-        or WarpIN as a template. Those setup.in files in turn expect
-        a config.in in PROJECT_BASE_DIR itself, but that is no
-        precondition required by the helpers makefiles themselves.
-
-        Here's an example: Say you have a CVS root directory of
-        "C:\cvs" on your system. The XWPHelpers reside in
-        "C:\cvs\xwphelpers". Your own project resides in
-        "C:\cvs\myproject" (plus subdirectories). So set
-        PROJECT_BASE_DIR to "C:\cvs\myproject", create
-        "C:\cvs\myproject\make", and put setup.in in there.
-
-    --  OUTPUTDIR_HELPERS must point to the directory where the
-        output .obj and .lib files should be created.
-
-    --  Note that the XWPHelpers also expect a "setup.h" header
-        file to be somewhere on your INCLUDE path. See remarks
-        below.
-
-    Of course, nothing stops you from writing your own makefile
-    if you find all this too complicated. However, if you choose
-    to use my makefile from within your own project, you can
-    then simply change to the src\helpers directory and start a
-    second nmake from your own makefile like this:
-
-        @cd xxx\src\helpers
-        nmake -nologo "PROJECT_BASE_DIR=C:\myproject" "OUTPUTDIR_HELPERS=C:\myproject\bin" "MAINMAKERUNNING=YES"
-        @cd olddir
-
-
-6. INCLUDING HEADER FILES
-=========================
-
-    The "include policy" of the helpers is that the "include"
-    directory in the helpers source tree should be part of your
-    include path. This way you can include helper headers in
-    your own project code using
-
-        #include "helpers\header.h"
-
-    so that the helpers headers won't interfere with your own
-    headers.
-
-    Note that all the helpers C code includes their own include
-    files this way. As a result, the XWPHelpers "include"
-    directory must be in your include path, or this won't
-    compile.
-
-    I have a "flat" include policy, meaning that include files
-    may not include other files. Instead, #include's may only
-    occur in C files. This makes makefile dependencies easier
-    to maintain.
-
-    Besides, the helpers C code expects a file called "setup.h"
-    in your include path somewhere. This is included by _all_
-    the C files so you can (re)define certain macros there.
-    XWorkplace and WarpIN both have such a header file in their
-    respective "include" directories.
-
-    With V0.9.7, many function prototypes have been changed in
-    the helpers headers to allow exporting them in a DLL.
-    (This was necessary for creating XWorkplace plugin DLLs.)
-    As a result, you now MUST define XWPENTRY in your setup.h
-    to contain the linkage for the helpers functions. This
-    can look like this:
-
-        #ifdef __EMX__
-            // with EMX, do nothing; EMX always uses _System linkage
-            #define XWPENTRY
-        #elif defined (__IBMCPP__) || defined (__IBMC__)
-            // with VAC, use _Optlink; that's faster than _System
-            #define XWPENTRY _Optlink
-            // or: #define XWPENTRY _System
-        #endif
-
-
Index: unk/setup.in
===================================================================
--- /trunk/setup.in	(revision 473)
+++ 	(revision )
@@ -1,89 +1,0 @@
-#
-#   This is a sample implementation for a setup.in file
-#   which should reside in the directory pointed to by
-#   $(PROJECT_BASE_DIR).
-#
-
-# HELPERS_OUTPUT_DIR: where to put the *.obj and *.lib files;
-# this gets created if it doesn't exist
-HELPERS_OUTPUT_DIR = $(PROJECT_BASE_DIR)\bin
-
-# extend include path; this must include the helpers "include"
-# directory (the parent of include\helpers)
-INCLUDE = $(PROJECT_BASE_DIR)\include;$(INCLUDE)
-
-# COMPILER SETUP
-# --------------
-
-CC_WARNINGS  = /w3 /Wcmp+ /Wcnd- /Wcns+ /Wcnv+ /Wgen /Wcns /Wcpy /Wobs /Word- /Wpro /Wrea /Wret /Wtru
-
-CC_HELPERS = icc $(CC_WARNINGS) /c /q+ /se /ss /gm+
-
-# Some VisualAge C++ compiler options explained [default in brackets]:
-# /c:   compile only, no link (we'll call the linker explicitly)
-# /fi+: precompile header files                         [/fe-]
-# /g3|4|5: optimize for 386/486/Pentium                 [/g3]
-# /gd-: link runtime statically                         [/gd-]
-# /ge-: create DLL code                                 [/ge+]
-#           This switches between EXE and DLL initialization code
-#           for the .OBJ file. /ge+ is only needed when the object
-#           file contains a main() function. For libraries to be
-#           used either with EXE's or DLL's, use /ge+.
-# /gh+: generate profiling hooks for VAC profiler
-# /gi+: fast integer execution
-# /Gl+: remove unreferenced functions (when comp.+link in 1 step)
-# /gm+: multithread libraries
-# /gm+: disable stack probes (single-thread only!)
-# /kc+: produce preprocessor warnings
-# /o+:  optimization (inlining etc.)
-# /oi-: no inlining (?)
-# /ol+: use intermediate linker; do _not_ use with debug code
-# /q+:  suppress icc logo
-# /Re : don't use subsystem libraries (!= Rn)
-# /se:  all language extensions
-# /si+: allow use of precompiled header files
-# /ss:  allow double slashes comments in C too
-# /ti+: debug code
-# /tdp: compile everything as C++, even if it has a .C suffix
-# /tm:  use debug memory management (malloc etc.)
-# /tn:  add source line numbers to object files (for mapfile); a subset of /ti+
-# /Wcls: class problems
-# /Wcnd: conditional exprs problems (= / == etc.)
-# /Wcmp: possible unsigned comparison redundancies
-# /Wcns: operations involving constants
-# /Wcnv: conversions
-# /Wcpy: copy constructor problems
-# /Weff: statements with no effect (annoying)
-# /Wgen: generic debugging msgs
-# /Wobs: obsolete features
-# /Word: unspecified evaluation order
-# /Wpar: list non-referenced parameters (annoying)
-# /Wppc: list possible preprocessor problems (.h dependencies)
-# /Wpro: warn if funcs have not been prototyped
-# /Wrea: mark code that cannot be reached
-# /Wret: check consistency of return levels
-# /Wuni: uninitialized variables
-# /Wuse: unused variables
-# /w2:   produce error and warning messages, but no infos
-
-# LINK OPTIONS
-# ------------
-#
-# Link macro. This is used for final linking.
-# If we're supposed to do the release version, we'll turn
-# off debugging and optimize and pack the resulting files.
-#
-# No need to change this. Change the variables above instead.
-
-LINK_BASE = ilink /nologo /noe /map:$(@B).map /linenumbers
-
-!ifdef XWP_DEBUG
-LINK =  $(LINK_BASE) /debug
-LINK_ALWAYSPACK = $(LINK_BASE) /exepack:2
-!else
-LINK =  $(LINK_BASE) /exepack:2
-LINK_ALWAYSPACK = $(LINK)
-#/packcode /packdata
-# /optfunc
-!endif
-