Index: /psi/trunk/os2/WarpIN/Readme.txt
===================================================================
--- /psi/trunk/os2/WarpIN/Readme.txt	(revision 7)
+++ /psi/trunk/os2/WarpIN/Readme.txt	(revision 7)
@@ -0,0 +1,121 @@
+=====================================
+ Document-Version: v1.0 - 2006-07-28
+=====================================
+
+
+Introduction
+============
+
+Here is a simple description how this package allows you to create new WarpIN
+packages and ZIP archives for PSI.
+
+
+
+Directory structure
+===================
+
+  [...]
+    +-- WarpIN                 <-- The stuff to create packages (*.cmd)
+           +-- Build_Packages  <-- The created *.wpi, *.exe and *.zip go into                       
+           |                       this directory.
+           |                       e.g. PSI_0-10-0a1_os2_2006-07-25.wpi
+           |
+           +-- Scripts         <-- The *.wis (WarpIN) script for each Psi 
+           |                       version is here.
+           |                       e.g. psi_0-10-0a1.wis
+           --- Version         <-- The Psi package for each Psi version is
+                  |                stored here in a subdirectory 
+                  |                e.g. psi_0-10-0a1.
+                  + psi_0-10-0a1
+                         |
+                         + [files]
+
+
+
+Filenames and Version
+=====================
+
+For Psi Version 0.10 I extended the version number to 0.10.0 because older
+packages where named 0.9.1, 0.9.2 and so on and it's most likely that there
+may be a revision number again in the future.
+
+As you can see I didn't use '.' in the version number as eCS and OS/2 still
+have problems (WarpIN packages are not recognized as WarpIN archive,...) if
+there is more than one dot in the filename.
+
+As dots are evil they are replaced by a minus character: major-minor-revision
+Alpha versions get a 'a' and beta versions the 'b' and release-candidates
+get 'rc' after the revision number followed by an increasing (build) number.
+Final versions don't have the character.
+
+Other elements in the filename are separated by '_' instead of spaces.
+As additional element I added the operating system and the release-date
+of the ported Psi version in the sortable 'YYYY-MM-DD' format.
+
+So finally we get:
+<APPNAME>_<MAJOR>-<MINOR>-<REVISION>[<'a'|'b'|'rc'><number>]_os2_<YYYY>-<MM>-<YY>.<'wpi'|'exe'|'zip'>
+
+
+
+WarpIN installation script
+==========================
+
+The WarpIN script can be found in the scripts directory where
+you need to add a new script for every version.
+There are three things you need to look for, if a new package will be created:
+ - Version number of the WarpIN script/package: "PACKAGEID="
+   You have to update the version as described before:
+    ..."\PSI Core Files\<MAJOR>\<MINOR>\<REVISION>[<'a'|'b'|'rc'><number>]
+ - Version number and date information as text in the WarpIN *.wis file
+   Look for the "YYYY-MM-DD" format and you should find them.
+ - Changelog and Readme updates have to be updated in WarpIN "page" sections.
+
+
+
+Creating new packages
+=====================
+
+In the WarpIN directory you will find two *.cmd files.
+
+1.) If you don't have WarpIN in your "SET PATH" statement (which you normally
+    don't have) you need to call the "warpin_env.cmd" script which should be
+    able to get the WarpIN installation path from the OS/2 INI.
+    If not you get an error message.
+
+2.) You need to update the "create_psi_packages.cmd" with the WarpIN script
+    version, the new path to the directory where build programm is and how
+    the created package should be named.
+    
+3.) After you updated the "create_psi_packages.cmd" script you can call it.
+    The created WarpIN packages (*.exe and *.wpi) and the created ZIP archive
+    can be found in "Build_Packages".
+    If there has been an error or you need to rebuild the packages you don't
+    need to delete the files from the "Build_Packages" manually.
+    This is done automatically. Logfiles for *.wpi and *.exe are created
+    but you should still execute the packages manually.
+
+4.) Distribute the files (*.wpi, *.exe, *.zip)! ;)
+
+
+
+TODO
+====
+
+ - More REXX to automate creating WarpIN packages.
+ - Add gcc*.dll + libc*.dll as additional package for installation
+ - Automatic check if the packages and the ZIP archive is ok.
+
+
+Contact
+=======
+
+Juergen Ulbts
+E-Mail.: On request or see website
+Website: http://www.juergen-ulbts.de/
+ICQ....: 65814655 (Nick: magog96)
+Jabber.: magog96@12jabber.com
+
+
+
+Juergen Ulbts (2006-07-28)
+
Index: /psi/trunk/os2/WarpIN/Scripts/psi_0-10-0-2.wis
===================================================================
--- /psi/trunk/os2/WarpIN/Scripts/psi_0-10-0-2.wis	(revision 7)
+++ /psi/trunk/os2/WarpIN/Scripts/psi_0-10-0-2.wis	(revision 7)
@@ -0,0 +1,122 @@
+<WARPIN>
+VERSION=0.95
+OS=OS2_3x
+
+
+<HEAD>
+<TITLE>Psi Version 0.10 Beta 1 (2006-08-18)</TITLE>
+<PCK INDEX=1
+     PACKAGEID="Psi\Psi\Psi Core Files\0\10\0\2"
+     TARGET="$(WARPIN_DEFAULTAPPSPATH)\Psi" BASE
+     TITLE="Psi Version 0.10 Beta 1 (2006-08-18)"
+     CREATEOBJECT="REPLACE WPFolder|Psi Jabber Client|<WP_DESKTOP>|OBJECTID=<PSI_Folder>;"
+     CREATEOBJECT="REPLACE WPProgram|Psi|<PSI_Folder>|EXENAME=$(1)\Psi.exe;STARTUPDIR=$(1);ICONFILE=$(1)\Psi.ico;"
+     CREATEOBJECT="REPLACE WPShadow|Readme.txt|<PSI_Folder>|SHADOWID=$(1)\Readme.txt;"
+     CREATEOBJECT="REPLACE WPShadow|Install.txt|<PSI_Folder>|SHADOWID=$(1)\Install.txt;"
+     CREATEOBJECT="REPLACE WPShadow|Readme-OS2.txt|<PSI_Folder>|SHADOWID=$(1)\Readme-OS2.txt;"
+
+     CREATEOBJECT="REPLACE WPFolder|Additional Links|<PSI_Folder>|OBJECTID=<PSI_Links>;"
+     CREATEOBJECT="REPLACE WPUrl|Psi HomePage|<PSI_Links>|NOTDEFAULTICON=YES;DEFAULTVIEW=CONTENTS;URL=http://psi-im.org/;"
+     CREATEOBJECT="REPLACE WPUrl|Psi Wiki|<PSI_Links>|NOTDEFAULTICON=YES;DEFAULTVIEW=CONTENTS;URL=http://psi-im.org/wiki/Main_Page;"
+     CREATEOBJECT="REPLACE WPUrl|Psi for OS/2 HomePage|<PSI_Links>|NOTDEFAULTICON=YES;DEFAULTVIEW=CONTENTS;URL=http://svn.netlabs.org/qt3/ticket/25/;"
+     CREATEOBJECT="REPLACE WPUrl|Psi for OS/2 Downloads|<PSI_Links>|NOTDEFAULTICON=YES;DEFAULTVIEW=CONTENTS;URL=ftp://ftp.netlabs.org/pub/qt3/psi/;"
+     CREATEOBJECT="REPLACE WPUrl|Qt3 for OS/2 HomePage|<PSI_Links>|NOTDEFAULTICON=YES;DEFAULTVIEW=CONTENTS;URL=http://svn.netlabs.org/qt3/;"
+
+     SELECT NODESELECT
+
+     >Installation of Psi Version 0.10 Beta 1 (2006-08-18).</PCK>
+</HEAD>
+<BODY>
+
+
+<PAGE INDEX=1 TYPE=README>
+<NEXTBUTTON TARGET=2>~Next</NEXTBUTTON>
+<TEXT>Welcome to the Psi for OS/2 Installation Program!
+
+Please read through the following pages by pressing "Next" to continue or press "Cancel" to abort the installation.</TEXT>
+<README FORMAT=HTML>
+<b>Psi IM Jabber Client</b>
+<p>Psi is the premiere Instant Messaging application designed for Microsoft
+Windows, Apple Mac OS X, GNU/Linux, eComStation (eCS) and OS/2. Built upon an
+open protocol named Jabber, Psi is a fast and lightweight messaging client
+that utilises the best in open source technologies.</p>
+<p>The goal of the Psi project is to create a powerful, yet easy-to-use
+Jabber/XMPP client that tries to strictly adhere to the XMPP drafts and
+Jabber JEPs. This means that in most cases, Psi will not implement a feature
+unless there is an accepted standard for it in the Jabber community. Doing
+so ensures that Psi will be compatible, stable, and predictable, both from
+an end-user and developer standpoint.</p>
+<p>This does not mean that Psi will never have "cool new features". The
+dev team and community are power-users who look to Psi to keep up with the
+times. We always want to hear what the users of Psi would like, and if a
+feature that the dev team wishes to implement does not have an accepted
+standard, or would diverge from an existing one, we can work together
+to see the standards changed to accomodate everyone.</p>
+<p>Perhaps you have been considering Jabber, but don't want to abandon
+your friends? Jabber technologies are highly extensible, so Psi is able
+to interoperate with other, proprietory messaging systems such as AOL's
+ICQ and Microsoft's Messenger. You can keep in contact with your friends,
+regardless of whether they use AIM, ICQ, MSNM or YahooM. It's even
+possible to use Internet Relay Chat! (*)</p>
+<p>Unlike other IM clients, Psi is small, fast and responsive. It uses a
+graphical toolkit called Qt, which takes on the appearance of whichever
+operating system you run it on. For this reason, Psi doesn't use 'skins'.
+We'd rather it blend with your desktop like any other application.</p>
+<p>Psi has full support for Unicode. Unicode allows Psi to send and receive
+messages in other languages, even ones that aren't based upon the English
+letterset. In fact, you are able to use Psi in your choice of eight
+different languages, with more on the way!</p>
+<p>Cross-platform compatibility is important to the Psi development team;
+we believe that you should be able to use whichever operating system you
+wish. In keeping with this belief, we have a version for each of the
+all major OS's.</p>
+<p>(*) Requires connection to a Jabber server with suitable transports available.</p>
+<p><b>Authors</b></p>
+<ul>
+<li>Project Lead/Maintainer (2004-current):<br>
+Kevin Smith<br>
+kismith@psi-im.org<br>
+http://www.kismith.co.uk/<br>
+<li>Original Author (2001-2004):<br>
+Justin Karneges<br>
+justin@affinix.com<br>
+http://psi-im.org/<br>
+</ul>
+</README>
+</PAGE>
+
+
+<PAGE INDEX=2 TYPE=README>
+<NEXTBUTTON TARGET=3>~I agree</NEXTBUTTON>
+<TEXT>Please read the Psi License information. By pressing the "I agree" button, you agree to all terms and conditions to the below license agreement.</TEXT>
+<README EXTRACTFROMPCK=1 FORMAT=PLAIN>COPYING</README>
+</PAGE>
+
+
+<PAGE INDEX=3 TYPE=README>
+<NEXTBUTTON TARGET=4>~Next</NEXTBUTTON>
+<TEXT>Below is the contents of the Readme-OS2.txt file. Please read it before installing and press "Next" to continue.</TEXT>
+<README EXTRACTFROMPCK=1 FORMAT=PLAIN>Readme-OS2.txt</README>
+</PAGE>
+
+
+<PAGE INDEX=4 TYPE=CONTAINER>
+<NEXTBUTTON TARGET=5>~Next</NEXTBUTTON>
+<TEXT>Please select the packages which are to be installed. You may change the target paths for the packages.</TEXT>
+</PAGE>
+
+
+<PAGE INDEX=5 TYPE=CONFIGURE>
+<NEXTBUTTON TARGET=6>~Next</NEXTBUTTON>
+<TEXT>Please select additional configuration that WarpIN should perform after installing this archive.</TEXT>
+</PAGE>
+
+
+<PAGE INDEX=6 TYPE=TEXT>
+<NEXTBUTTON TARGET=0>I~nstall</NEXTBUTTON>
+<TEXT>Press "Install" to begin installing the Psi Jabber Client.</TEXT>
+</PAGE>
+
+
+</BODY>
+</WARPIN>
Index: /psi/trunk/os2/WarpIN/Scripts/psi_0-10-0a1.wis
===================================================================
--- /psi/trunk/os2/WarpIN/Scripts/psi_0-10-0a1.wis	(revision 7)
+++ /psi/trunk/os2/WarpIN/Scripts/psi_0-10-0a1.wis	(revision 7)
@@ -0,0 +1,184 @@
+<WARPIN>
+VERSION=0.95
+OS=OS2_3x
+<HEAD>
+<TITLE>Psi Version 0.10.0 ALPHA 1 (2006-07-25)</TITLE>
+<PCK INDEX=1
+     PACKAGEID="PSI\PSI\PSI Core Files\0\10\0a1"
+     TARGET="$(WARPIN_DEFAULTAPPSPATH)\Psi" BASE
+     TITLE="Psi Version 0.10.0 ALPHA 1 (2006-07-25)"
+     CREATEOBJECT="WPFolder|Psi Jabber Client|<WP_DESKTOP>|OBJECTID=<PSI_Folder>;"
+     CREATEOBJECT="WPProgram|Psi|<PSI_Folder>|EXENAME=$(1)\Psi.exe;STARTUPDIR=$(1);"
+     CREATEOBJECT="WPProgram|Readme-OS2.txt|<PSI_Folder>|EXENAME=e.exe;PARAMETERS=Readme-OS2.txt;STARTUPDIR=$(1);"
+     CREATEOBJECT="WPProgram|Readme.txt|<PSI_Folder>|EXENAME=e.exe;PARAMETERS=Readme.txt;STARTUPDIR=$(1);"
+     CREATEOBJECT="WPProgram|Install.txt|<PSI_Folder>|EXENAME=e.exe;PARAMETERS=Install.txt;STARTUPDIR=$(1);"
+
+     CREATEOBJECT="WPFolder|Additional Links|<PSI_Folder>|OBJECTID=<PSI_Links>;"
+     CREATEOBJECT="WPUrl|PSI OS2-Port HomePage (QT3)|<PSI_Links>|NOTDEFAULTICON=YES;DEFAULTVIEW=CONTENTS;URL=ftp://ftp.netlabs.org/pub/qt3/;"
+     CREATEOBJECT="WPUrl|PSI HomePage|<PSI_Links>|NOTDEFAULTICON=YES;DEFAULTVIEW=CONTENTS;URL=http://psi-im.org/;"
+     CREATEOBJECT="WPUrl|PSI Wiki|<PSI_Links>|NOTDEFAULTICON=YES;DEFAULTVIEW=CONTENTS;URL=http://psi-im.org/wiki/Main_Page;"
+
+     SELECT NODESELECT
+
+     >Installation of PSI Version 0.10.0 ALPHA 1 (2006-02-22).</PCK>
+</HEAD>
+<BODY>
+<PAGE INDEX=1 TYPE=TEXT>
+<NEXTBUTTON TARGET=2>~Next</NEXTBUTTON>
+<TEXT>
+Psi IM Jabber Client
+====================
+
+Psi is the premiere Instant Messaging application designed for Microsoft Windows, Apple Mac OS X, GNU/Linux, eComStation (eCS) and OS2. Built upon an open protocol named Jabber, Psi is a fast and lightweight messaging client that utilises the best in open source technologies. JMDB is a free project with the goal to deliver a home database for films, actors and other informations!
+
+The goal of the Psi project is to create a powerful, yet easy-to-use Jabber/XMPP client that tries to strictly adhere to the XMPP drafts and Jabber JEPs. This means that in most cases, Psi will not implement a feature unless there is an accepted standard for it in the Jabber community. Doing so ensures that Psi will be compatible, stable, and predictable, both from an end-user and developer standpoint. 
+
+This does not mean that Psi will never have "cool new features". The dev team and community are power-users who look to Psi to keep up with the times. We always want to hear what the users of Psi would like, and if a feature that the dev team wishes to implement does not have an accepted standard, or would diverge from an existing one, we can work together to see the standards changed to accomodate everyone.
+
+Perhaps you have been considering Jabber, but don't want to abandon your friends? Jabber technologies are highly extensible, so Psi is able to interoperate with other, proprietory messaging systems such as AOL's ICQ and Microsoft's Messenger. You can keep in contact with your friends, regardless of whether they use AIM, ICQ, MSNM or YahooM. It's even possible to use Internet Relay Chat! * 
+
+Unlike other IM clients, Psi is small, fast and responsive. It uses a graphical toolkit called Qt, which takes on the appearance of whichever operating system you run it on. For this reason, Psi doesn't use 'skins'. We'd rather it blend with your desktop like any other application. 
+
+Psi has full support for Unicode. Unicode allows Psi to send and receive messages in other languages, even ones that aren't based upon the English letterset. In fact, you are able to use Psi in your choice of eight different languages, with more on the way! 
+
+Cross-platform compatibility is important to the Psi development team; we believe that you should be able to use whichever operating system you wish. In keeping with this belief, we have a version for each of the three major OS's. The images on this page show Psi running on Microsoft Windows XP, Apple MacOS X and GNU/Linux/KDE3. 
+
+* Requires connection to a Jabber server with suitable transports available.
+
+</TEXT>
+</PAGE>
+<PAGE INDEX=2 TYPE=README>
+<NEXTBUTTON TARGET=3>~I agree</NEXTBUTTON>
+<TEXT>
+Psi Introduction, License, Copyright, Warranty. By pressing the "I agree" button, you agree to all terms and conditions to the below license agreement.
+</TEXT>
+<README>
+This readme contains information specific to the OS/2 version of Psi.
+For general information, please refer to Readme.txt, Install.txt and
+to the online documentation you can find at http://psi-im.org/.
+
+For the list of changes, see the bottom of this file. 
+
+
+Installation
+------------
+
+1.  Make sure Innotek (Bird) LIBC 0.6.1 library (libc061.dll) is
+    installed on your system. Download the library from
+    ftp://ftp.netlabs.org/pub/gcc/libc-0.6.1-csd1.zip and unzip
+    the archive to the directory you plan to install Psi to or to
+    one of the directories listed in your LIBPATH environment variable.
+
+2.  Unzip the Psi archive containing this file to the directory of your
+    choice and run the Psi executable (psi.exe). No additional
+    installation is required.
+
+
+Configuration data
+------------------
+
+Psi stores all configuration files in the subdirectory /PsiData of
+your home directory (pointed to by the HOME environment variable).
+
+The name of the last used Psi profile is stored in the registry
+under the key HKEY_CURRENT_USER\Software\Affinix\psi.
+
+
+Current Limitations and Known Bugs
+----------------------------------
+
+1.  Using the PM Default Browser/Mail choice for opening links doesn't
+    work yet. The Custom browser setting requires a command like
+    'cmd /c cd D:\Apps\Firefox & D:\Apps\Firefox\Firefox.exe'.
+    
+2.  SSL connection is completely untested and will most likely not work.
+
+3.  PGP encryption is completely untested and probably will not work.
+
+4.  The global hot keys are not available. 
+ 
+5.  Idle (i.e. Auto-Away) detection may not work properly.
+
+6.  The directory watcher service is not available (though I don't yet know
+    what is it good for in Psi). 
+
+7.  There is no "tray icon" (xCenter widget) for Psi. It will be available
+    later.
+    
+8.  Power management events such as "sleep" or "wakeup" are not detected by Psi.
+
+9.  Drag and Drop support in Qt/OS2 is not yet finished, so there are few
+    known issues (for example, text in entry fields may be corrupted when the
+    drag object is moved over them).
+
+
+Bug Reports
+-----------
+
+To submit a bug report, please visit http://svn.netlabs.org/qt3/ticket/25
+and add a comment describing the problem.
+
+Note that in order to add a comment, you'll need to login to the Trac system
+using the special name and the password presented on the start page
+(http://svn.netlabs.org/qt3/wiki).  
+
+
+License
+-------
+Open-Source software
+
+
+Warranty
+--------
+EXCEPT AS OTHERWISE RESTRICTED BY LAW, THIS WORK IS PROVIDED
+WITHOUT ANY EXPRESSED OR IMPLIED WARRANTIES OF ANY KIND, INCLUDING
+BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OF FITNESS FOR A
+PARTICULAR PURPOSE, MERCHANTABILITY OR TITLE.  EXCEPT AS
+OTHERWISE PROVIDED BY LAW, NO AUTHOR, COPYRIGHT HOLDER OR
+LICENSOR SHALL BE LIABLE TO YOU FOR DAMAGES OF ANY KIND, EVEN IF
+THEY HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
+</README>
+</PAGE>
+
+
+<PAGE INDEX=3 TYPE=README>
+<NEXTBUTTON TARGET=4>~Next</NEXTBUTTON>
+<TEXT>
+List of changes and bugfixes for Psi Version 0.10.0 ALPHA 1 (2006-07-25)
+</TEXT>
+<README>
+Psi History and ChangeLog
+=========================
+
+*   Version 0.10-os2-a1 (2005-07-25)
+    
+    The first public alpha version.
+</README>
+</PAGE>
+
+
+<PAGE INDEX=4 TYPE=CONTAINER>
+<NEXTBUTTON TARGET=5>~Next</NEXTBUTTON>
+<TEXT>
+Please select the packages which are to be installed. You may change the target paths for the packages.
+</TEXT>
+</PAGE>
+
+
+<PAGE INDEX=5 TYPE=CONFIGURE>
+<NEXTBUTTON TARGET=6>~Next</NEXTBUTTON>
+<TEXT>
+Please select additional configuration that WarpIN should perform after installing this archive.
+</TEXT>
+</PAGE>
+
+
+<PAGE INDEX=6 TYPE=TEXT>
+<NEXTBUTTON TARGET=0>I~nstall</NEXTBUTTON>
+<TEXT>
+Press "Install" to begin installing the Psi Jabber Client.</TEXT>
+</PAGE>
+
+</BODY>
+</WARPIN>
+
Index: /psi/trunk/os2/WarpIN/create_psi_packages.cmd
===================================================================
--- /psi/trunk/os2/WarpIN/create_psi_packages.cmd	(revision 7)
+++ /psi/trunk/os2/WarpIN/create_psi_packages.cmd	(revision 7)
@@ -0,0 +1,57 @@
+/*  
+    create_psi_packages.cmd:
+
+    This script will create the PSI packages for distribution.
+    *.wpi
+    *.exe
+    *.zip
+
+    (c) 2006 - Juergen Ulbts
+*/
+call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
+call SysLoadFuncs
+
+CURRENT_DIR = DIRECTORY()
+
+/* ========================================================= */
+/*  Application specific information - NEEDS MODIFICATION    */
+/* ========================================================= */
+ARCHIVE_NAME='psi_0-10-os2-b1'               /* Target archive name without extension */
+WARPIN_SCRIPT_NAME='psi_0-10-0-2.wis'        /* WarpIN *.wis script name  */
+BINARY_DIRECTORY='psi_0-10-os2-b1'           /* Subdirectory of version where the build application can be found */
+
+
+/* ========================================================= */
+/*  Set the package creation application and settings        */
+/* ========================================================= */
+WARPIN_CREATOR='wic.exe'                     /* WarpIN application the create WarpIN achives */
+ARCHIVE_CREATOR='zip.exe'                    /* Packer */
+ARCHIVE_CREATOR_PARAMETER='-9rS'             /* Packer parameters */       
+
+
+/* ========================================================= */
+/*  Search for wic.exe and call warpin_env.cmd if not found  */
+/* ========================================================= */
+if (SysSearchPath('PATH', WARPIN_CREATOR) == '') then do
+    call 'warpin_env.cmd'
+end
+ 
+/* ========================================================= */
+/*  Delete old package with the same name as 'ARCHIVE_NAME'  */
+/* ========================================================= */
+'del .\Build_Packages\'||ARCHIVE_NAME||'.* > NUL'
+
+/* ========================================================= */
+/*  Create WarpIN packages                                   */
+/* ========================================================= */
+''||WARPIN_CREATOR||' .\Build_Packages\'||ARCHIVE_NAME||'.wpi -a 1 -c.\Version\'||BINARY_DIRECTORY||' -r * -s ".\Scripts\'||WARPIN_SCRIPT_NAME||'" > .\Build_Packages\'||ARCHIVE_NAME||'.wpi_log 2>&1'
+''||WARPIN_CREATOR||' .\Build_Packages\'||ARCHIVE_NAME||'.exe -a 1 -c.\Version\'||BINARY_DIRECTORY||' -U -r * -s ".\Scripts\'||WARPIN_SCRIPT_NAME||'" > .\Build_Packages\'||ARCHIVE_NAME||'.exe_log 2>&1'
+
+/* ========================================================= */
+/*  Create ZIP archive                                       */
+/* ========================================================= */
+'cd Version'
+''||ARCHIVE_CREATOR||' '||ARCHIVE_CREATOR_PARAMETER||' ..\Build_Packages\'||ARCHIVE_NAME||'.zip .\'||BINARY_DIRECTORY
+CALL DIRECTORY CURRENT_DIR
+
+exit;
Index: /psi/trunk/os2/WarpIN/warpin_env.cmd
===================================================================
--- /psi/trunk/os2/WarpIN/warpin_env.cmd	(revision 7)
+++ /psi/trunk/os2/WarpIN/warpin_env.cmd	(revision 7)
@@ -0,0 +1,42 @@
+/*  
+    warpin_env.cmd:
+
+    This script tries to find WarpIN and call the supplied
+    envwic.cmd so you can call the necessary.
+
+    (c) 2006 - Juergen Ulbts
+*/
+
+call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
+call SysLoadFuncs
+
+/* get WarpIN path from OS2.INI */
+WARPIN_INSTALL_DIR = SysIni("USER", "WarpIN", "Path")
+
+if (WARPIN_INSTALL_DIR = "ERROR:") then do
+    SAY "ERROR: The WarpIN path could not be found in OS2.INI. WarpIN not installed?";
+    SAY "       Terminating script!";
+    exit;
+end;
+
+/* this thing is null-terminated, so get rid of the null byte */
+p = pos('0'x, WARPIN_INSTALL_DIR);
+if (p \= 0) then do
+    WARPIN_INSTALL_DIR = left(WARPIN_INSTALL_DIR, p - 1);
+end
+
+SAY "WarpIN found at: "||WARPIN_INSTALL_DIR
+
+if (stream(WARPIN_INSTALL_DIR||'\envwic.cmd', 'C' 'QUERY EXISTS') \== '') then do
+    /* Execute the WIC script that comes with WarpIN */
+    SAY "Calling envwic.cmd from WarpIN install directory..."
+    ''||WARPIN_INSTALL_DIR||'\envwic.cmd'
+end
+else do
+    /* Set up WarpIN environment manually */
+    SAY "Setting up WarpIN environment..."
+    '@set PATH=%PATH%;'WARPIN_INSTALL_DIR
+    '@set BEGINLIBPATH=%BEGINLIBPATH%;'WARPIN_INSTALL_DIR
+end
+
+exit;