Index: /trunk/Sibyl/BUGS.TXT
===================================================================
--- /trunk/Sibyl/BUGS.TXT	(revision 9)
+++ /trunk/Sibyl/BUGS.TXT	(revision 9)
@@ -0,0 +1,27 @@
+
+----------------------------------------------------------------------
+GENERAL
+
+----------------------------------------------------------------------
+1. Problems on Win32 NT SP4 +
+?
+
+----------------------------------------------------------------------
+2. Help is getting more and more out of date.
+
+----------------------------------------------------------------------
+Enhancements/Other issues
+-------------------------
+
+DBase support is readonly
+- Improved
+
+No support for strings > 255 in database (or most other places)
+
+----------------------------------------------------------------------
+
+See also
+ IDE.TXT
+ COMPILER.TXT
+ LIBRARIES.TXT
+
Index: /trunk/Sibyl/COMPILER.TXT
===================================================================
--- /trunk/Sibyl/COMPILER.TXT	(revision 9)
+++ /trunk/Sibyl/COMPILER.TXT	(revision 9)
@@ -0,0 +1,69 @@
+COMPILER
+
+----------------------------------------------------------------------
+1. 'Finally' clause is not called when exit is encountered
+
+----------------------------------------------------------------------
+2. Optimisation causes incorrect code.
+Compiler optimisation often generates incorrect code for expressions. 
+Must be turned off in most programs. This makes Sibyl somewhat slow
+for intensive calculations
+
+----------------------------------------------------------------------
+3. Internal errors.
+( see 9 for one example )
+
+----------------------------------------------------------------------
+4. Allowed to construct abstract classes
+- ?
+
+----------------------------------------------------------------------
+5. Compiler and resource compiler won't open readonly source files.
+
+----------------------------------------------------------------------
+6. Resource compiler includes files, relative to current dir, not current file path.
+- Fixed in Fp4
+
+----------------------------------------------------------------------
+7. No quick way to append to AnsiString
+Need to optimise s:= s + 'blah'; like delphi, or make a procedure
+? Perhaps with optimisation on, this would be done?
+
+----------------------------------------------------------------------
+8. .rc files are not included in make
+(Same as Delphi ;-( )
+
+----------------------------------------------------------------------
+9. IDE compiler crashes if command line compiler used while IDE running.
+(On units that the IDE project is using)
+"Internal compiler error" or "Undefined identifier: TForms.CreateWnd!O7272!"
+
+----------------------------------------------------------------------
+10. Cannot pass nil as a value for procedure/function/method variable parameters 
+For example:
+
+TDoBob = procedure of object;
+Procedure DoABobFunction( Function: TDoBob );
+...
+
+DoABobFunction( nil )
+crashes.
+
+----------------------------------------------------------------------
+11. Functions nested inside class methods generate faulty references to self
+The nested function can refer to properties/methods of the class it is in
+the method of, but the code crashes. 
+Workaround: refer to self explicitly.
+
+----------------------------------------------------------------------
+12. Make does not notice "implicit" dependencies
+e.g. ArchiveStore contains TRevision. Interace changes.
+CachedArchive uses ArchiveStore
+FIlelistArchive uses elements of revision via an array property but does not ave ArchiveStore in Uses
+
+----------------------------------------------------------------------
+13. Produces corrupt debug data in Publics section on large projects
+- On large projects the IDE cannot debug with a message like:
+  Debugger Error: 'Object 387 in module D:...newview.exe 
+  not found (PUBLICS)'
+The end of the publics table is garbage.
Index: /trunk/Sibyl/IDE.TXT
===================================================================
--- /trunk/Sibyl/IDE.TXT	(revision 9)
+++ /trunk/Sibyl/IDE.TXT	(revision 9)
@@ -0,0 +1,341 @@
+IDE
+
+----------------------------------------------------------------------
+1. Find In Files always picks up word at cursor, even if option is deselected
+- Fixed sometime
+
+----------------------------------------------------------------------
+2. In project manager, files are not sorted.
+- Workaround, use SPT tool
+
+----------------------------------------------------------------------
+3. Debugger does not show PChar variables or large arrays 
+  in any useful way (locks up). Have to use storage 
+- Not fixed
+3a. String^ could be resolved also
+
+----------------------------------------------------------------------
+4. Can't inspect (right mouse) local variables. Have to use Watch.
+- Not fixed
+
+----------------------------------------------------------------------
+5. Menu not keyboard accessible from control centre.
+- Not fixed
+
+----------------------------------------------------------------------
+6. Debugger cannot run on OS/2 FP9 - 12 (?)
+- Unimportant. Use < FP9 or > Fp12. Works with FP13 and on.
+
+----------------------------------------------------------------------
+7. Inconsistent useage of directories between build/compile make
+If you're building (-B) then the compiler does not find SPU units in
+the output directory. The error message is, 'File not found: forms.pas'. 
+
+But
+
+If you're making (-M) then the compiler DOES find SPU units in the
+output directory.
+
+This is the same for command line and IDE.
+
+In fact Project - Build is exactly the same as Make except that it excludes
+the output directory from looking for units.
+Hence - it does not work if the output directory is one of the unit directories.
+
+This is perhaps really a compiler bug, that it does not have a proper
+BUILD mode.
+
+- Not fixed
+
+----------------------------------------------------------------------
+8. Relative output directories do not work
+- Fixed in SP4
+
+If you specify an output directory for your project, relative to the
+project directory (e.g. '.\output', or just 'output'), then the
+debugger will refuse to run, saying 'Could not find starting CS:EIP'.
+To workaround: don't use relative directories. Use the current
+directory (leave the output dir blank) or specify the full path...
+
+FIX:
+It is a very simple error, the debug function HandleThreadCreate in
+dbghlp.pas is being passed the string
+c:\blah\projectdir\\output\filename.exe
+Note the two slashes between the project dir and the relative output
+dir.
+
+This is due to a bug (or omission) in the ExpandPath function, as
+far as I can tell. It takes two parameters:
+ExpandPath( Path, BaseDirectory)
+If BaseDirectory ends with a \ then relative directories end up with
+the two slashes.
+
+I used the previously released source code for the IDE, which I was not
+able to get functioning very well (won't load forms or compile :-) 
+BUT I was able to make a Sibyl.exe that can debug when the exe is in a
+relative directory, as proof of the fix. (I didn't fix ExpandPath, 
+instead I fixed the following in projects.pas:
+
+FUNCTION FExpandProject(Path:STRING):STRING;
+var
+   projDir :  string;
+BEGIN
+  Result := '';
+  IF Path = '' THEN exit;
+  Path := ReplaceEnvStrings(Path);
+  IF Path = '' THEN exit;
+  //relative Pfade sind relativ zum SPR File
+  IF ProjectBaseDir <> '' THEN
+// begin fix
+  begin
+     projdir:= ProjectBaseDir;
+     if projdir[ length( projdir ) ] = '\' then
+        delete( projdir, length( projdir ), 1 );
+
+    Result := ExpandPath(Path, projdir)
+  end
+// end fix
+  ELSE
+    Result := DOS.FExpand(Path);
+END;
+
+-- END FIX ---
+
+----------------------------------------------------------------------
+9. Always reloads "last" project after compiling complib
+
+After installing components, it should not reload the last
+project if there wasn't one open before installing
+
+- Not fixed.
+
+(Similarly, if set to not open last project at startup, 
+opens a blank one instead).
+
+----------------------------------------------------------------------
+10. Multiple error messages for missing components when loading project
+
+Say a single error message for all components that are not
+installed, when loading a project, or at least one per class, not 
+for every single component (very tedious)
+
+- ?
+
+----------------------------------------------------------------------
+11. "Illegal SCU" error message after installing components
+
+Often after installing a component(s), it reloads the project but then
+says "illegal SCU format". But shutting down Sibyl and restarting, it
+can load the project OK. That one sounds hard to find...
+
+- ?
+
+----------------------------------------------------------------------
+12. Asks if want to save unchanged project
+
+If you start Sibyl with a new project (e.g. have deselected 'load last
+project' then it asks you if you want to save the new project even if
+you haven't made any changes. Would be better to start with no project
+at all.
+
+- Not fixed
+12a. Maybe these options:
+ 1) Start with blank project (initial setting)
+ 2) Reload last project
+ 3) Start with no project
+
+12b. There is not really any "no project" mode 
+
+----------------------------------------------------------------------
+13. Copy and paste adds "1" to all components
+
+When you copy and paste, all the controls are renamed to XXX1  even if
+there isn't any existing XXX. This means cutting and pasting lots of
+controls takes a lot of fiddling since you have to go and correct all
+the names back to what they used to be. 
+
+- Not fixed
+
+----------------------------------------------------------------------
+14. Non-visual components off form are unmoveable
+
+If you accidentally move a non-visual control (e.g. a popup menu) out of
+sight (e.g. past the edge of a panel) it's almost impossible to do
+anything with it any more. There is no way to move it back again.
+
+- Sort of fixed in FP4
+ When selected from list in object inspector, they are moved onscreen
+
+----------------------------------------------------------------------
+15. Popup menu editor bugs
+
+15a - when you click outside the menu it seems to dissappear, but doesn't
+come up properly next time (doesn't fully draw itself). It only seems
+to be properly closed if you hit escape with the menu open. 
+
+15b - when you insert new items, then click on them, other menu items are
+left as if they are still selected. 
+
+15c - Double clicking a menu item does nothing, you have to go to the event
+panel and select the onClick event there. 
+
+15d - You can't move items up and down.
+
+----------------------------------------------------------------------
+16. The big error "removing this event requires the manual removal" or
+whatever it is, when you blank out a event handler, is useless and annoying.
+
+- Fixed in FP4?
+
+----------------------------------------------------------------------
+17. After menu from alt key, sometimes focus does not come back to edit
+window
+
+----------------------------------------------------------------------
+18. After searching finishes without finding anything, next edit window is selected
+
+----------------------------------------------------------------------
+19. Debugger - Local variables do not always work (may be blank)
+- Fixed in FP4
+Workaround: make sure Local Variables pane is visible before first
+break (?)
+
+19a Variables inside a nested procedure/function are not visible to debugger
+  (Also compiler bug: self does not work with a nested p/f inside a method)
+----------------------------------------------------------------------
+21. Startup splash screen not on top
+
+- Not fixed
+- Not so bad
+
+----------------------------------------------------------------------
+22. Always recompiling main file (?)
+
+- ?
+
+----------------------------------------------------------------------
+23. Last 'edit' item in object inspector remains 
+Sometimes when changing to another component, if there is an edit box
+showing, it gets left behind.
+
+----------------------------------------------------------------------
+24. Sibyl debugger does not handle all opcodes
+
+----------------------------------------------------------------------
+25. Install component does not remember it's directory or start from current
+
+----------------------------------------------------------------------
+26. Title of editor window is often not refreshed when a file is loaded.
+
+----------------------------------------------------------------------
+27. Setting application font
+Did not update all forms until FP4?
+
+----------------------------------------------------------------------
+28. Browser-information is partially not correct (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+29. Search function finds only the first matching string in large files (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- Relative path names for compiler OUTPUT doesn't work in the IDE (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- Source code generator has problems with forward class definitions (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- Inspector combobox containts an item for pictures if you insert a TImage (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- Alt+F3 hangs the IDE in Win32 (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- Reinstalling component is not an error
+
+A more useful message when reinstalling a component.
+
+- ?
+
+----------------------------------------------------------------------
+- Application icon does not usually work
+- Fixed in FP4?
+Possibly because, the default Sibyl icon has various sizes, so that
+OS/2 picks those rather than scaling your supplied icon?
+Or, need to set form icon.
+
+----------------------------------------------------------------------
+- Setting form icon crashes the IDE
+
+----------------------------------------------------------------------
+- If the EXE contains no debug information the IDE
+  pops up 3 errors instead of one, when doing Debug - Go
+
+----------------------------------------------------------------------
+- The inspector comboboxes are only 8 items in length
+
+----------------------------------------------------------------------
+- The inspector component combobox does nothing useful with keypresses
+  (incremental search might be nice)
+
+----------------------------------------------------------------------
+- Find in files offers no efficient method to search only the
+  files in the project or the project directory
+
+----------------------------------------------------------------------
+- No way to change components ZOrder amongst themselves
+
+----------------------------------------------------------------------
+- Inspector crashes when working with record properties that have
+  unions (alternative forms) e.g. TRect
+  Expand then collapse to reproduce.
+  Workaround: don't use record types with unions.
+----------------------------------------------------------------------
+- Inspector doesn't work for char properties.
+----------------------------------------------------------------------
+- Line numbers displayed in CPU window are one less than correct.
+  Compare with the main edit windows.
+----------------------------------------------------------------------
+
+Enhancements/Other issues
+-------------------------
+
+Incremental search improvements:
+- retrieve last search
+- repeat
+- back
+
+Ability to show address of variables
+- e.g. evaluate @ Variable and Addr( variable)
+
+It would be nice to implement Delphi's behaviour of, if you have an
+empty event handler, to delete it for you - this is especially good
+for when you accidentally double click a control.
+
+Keep same property selected when changing from one component to
+another (object inspector) 
+
+Improve incremental search 
+- repeat
+- backward
+
+Customisable keys
+
+Enhance the component install. Allow selecting multiple files.
+
+Automatically delete empty event handlers 
+
+Simpler keystroke to do debug - go
+
+Split editor window
+
+Put form data in separate files (safety)
+
+Help always on top (option)
+
+
Index: /trunk/Sibyl/LIBRARIES.TXT
===================================================================
--- /trunk/Sibyl/LIBRARIES.TXT	(revision 9)
+++ /trunk/Sibyl/LIBRARIES.TXT	(revision 9)
@@ -0,0 +1,264 @@
+
+LIBRARIES
+
+----------------------------------------------------------------------
+1. Editing notebook activepage, cannot select from dropdown list. (Actually, requires IDE enhancements.
+But could provide a property editor.)
+
+----------------------------------------------------------------------
+2. Additional zero written when copying zero-terminated strings
+- Fixed in SP4
+- Fixed in v2.0.3.1
+
+This is a bug in StringCopy in SysUtils. [NB There are also StrCOpy functions
+in Strings.pas and System.pas!]
+
+----------------------------------------------------------------------
+3. Hint windows don't always deactivate properly
+- Does not correctly detect when app focus lost. 
+However, this is
+very tricky to do well on OS/2. Other apps have the same problem. Most
+compatible solution is discussed on EDM... (?)
+
+----------------------------------------------------------------------
+4. Too much useage of Private in SPCC
+A design flaw, but copied from Delphi :-(
+
+Prevents fixing bugs or enhancements without copying code. Could change to protected
+
+----------------------------------------------------------------------
+5. Bitmap button disabled drawing looks bad in some situations
+Better disable picture. Use psAlternate (psInsideFrame before FP4). 
+Or generate/load proper disabled bitmap
+
+Fixed in SPCC v2.0.3.6
+
+----------------------------------------------------------------------
+6. Radio button group item index cannot be set until visible
+
+Fixed in SPCC v2.0.3.7
+
+----------------------------------------------------------------------
+7. Need popup index for listbox and outline
+When right mouse popup menu is activated, it's not possible to
+tell which item was right clicked.
+Alternatively, could set the item index 
+- Not fixed
+
+----------------------------------------------------------------------
+8. File controls cannot be refreshed through code
+Directory outline, directorylistbox, filelistbox
+
+- ?
+
+----------------------------------------------------------------------
+9. StringLists, Memo lines etc are limited to 255 chars.
+No good solution until AnsiStrings are finished.
+
+----------------------------------------------------------------------
+10. Nothing resets TForm.FIsModal...
+
+10b. Apparent duplication between fismodal and fmodalshowing
+
+----------------------------------------------------------------------
+11. Task list entries being left behind when app closes (fp4)
+Fixed in FP4 refresh
+
+----------------------------------------------------------------------
+12. Font allocation
+There seem to be memory problems with frequently changing font. 
+( ? Related to font dereferencing bug, see below?)
+
+[NB Sibyl does not use the OS/2 logical font mechanism. Each time the font
+is changed on a canvas the old font is destroyed and a new one create.
+This is not efficient for drawing with several different fonts.
+
+However, this is more of an enhancement than a bug fix].
+
+----------------------------------------------------------------------
+13. Problem dereferencing fonts: Crash in Font Dialog
+Fixed in v2.0.3.1
+
+When Sibyl library destroys a font due to the usecount being zero, the
+TFont reference is still left as non-nil. 
+
+This makes the font dialog crash on the second or later useage. It would
+also cause other font problems, depending on how you use them.
+
+----------------------------------------------------------------------
+14. Combo box does not drop down on click 
+You have to click the V button, clicking within the edit is not enough.
+
+Fixed in Fp4 (not quite properly - missing double click handling)
+Fixed in v2.0.3.4
+
+14a. Cannot click and drag thru combo
+Fixed for Linux?
+Not very important.(?)
+
+14b. Combo does not appear disabled (? text may be grayed, button is not)
+
+----------------------------------------------------------------------
+15. Modal dialogs appear as seperate tasklist entry
+Partially fixed in FP4 (not properly)
+Fixed in v2.0.3.2
+
+----------------------------------------------------------------------
+16. Clicking on disabled control in main window, while modal dialog
+showing, focuses the main window!
+
+Not fixed.
+
+----------------------------------------------------------------------
+17. Property "Enabled" does not effect the frame (FB)
+? 
+Fixed in FP4
+
+----------------------------------------------------------------------
+18. TTrackBar ignores some properties while loading from SCU (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+19. TGrid "TopRow" and "LeftCol" properties doesn't work correctly (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+20. TEdit '&' characters where replaced automatically by '~' characters (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+21. Functions "Time" and "Now" raise exceptions in Win32 (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+22. TWinSockProcs has the wrong calling convention in Win32 (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- Redraw bug in the last panel of TStatusbar if Alignment <> LeftJustify (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- Key stroke AltGr+BkSp should trigger the "Undo" command in the editor (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- TCombobox.PopupMenu crashs (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- Application.Font is overrided by MainForm.Font (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- DOS.SetTime doesn't return an error code (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- Sibyl hangs while loading OS/2 bitmaps from SCU in Win32 (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- TColorDialog doesn't recognize the name of the selected color (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- TCustomHintWindow doesn't work in Win32 (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- TEdit.MaxLength property is ignored in Win32 (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- Constant CRA_SOURCE not declared in PMStdDlg.pas (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- ParamStr() doesn't work in programms started from IDE in Win32 (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- TTimer method corrupts the heap (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- Problems while converting special german characters (umlaut) between OS/2 
+  and Win32 projects (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- TMemo and TEdit doesn't accept special german characters (umlaut) in Win32 (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- TSystemOpenDialog and TSystemSaveDialog doesn't work in Win32 (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- TForm.OnActivate and TForm.OnDeactivate doesn't work in Win32 (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- Context menus capture the focus after selection of a menu item in Win32 (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- Cursor has the wrong position after activation of a MDI window in Win32 (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- Focus doesn't change correctly in MDI windows in Win32 (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- Redraw bug in TTabset in Win32 (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- TClipBoard doesn't work in Win32 (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- Redraw bug in THeaderControl in Win32 (FB)
+Fixed in FP4
+
+----------------------------------------------------------------------
+- TEdit and TComboBox don't have (working) popup menus
+Containing, e.g. copy, paste etc
+
+----------------------------------------------------------------------
+- TRadiogroup does not appear disabled
+
+----------------------------------------------------------------------
+- Subsequent showmodals of a TForm, don't set default button
+
+----------------------------------------------------------------------
+- TGrid - large scroll jump skips 1 row
+
+----------------------------------------------------------------------
+- Mnemo chars look like crap due to OS/2 underlining
+Fixed in v2.0.3.5
+
+----------------------------------------------------------------------
+File list box drawing slightly buggy
+
+----------------------------------------------------------------------
+Standard dialogs would be better sizeable
+
+----------------------------------------------------------------------
+Multi-select listboxes are incredibly slow because
+of the copy that it makes of the selected state for 
+*every item*, whenever selection changes; further more to
+find which item was focussed for ItemFocus it looks through the
+whole array comparing it to the current selected state. Why!?
+
+Enhancements/Other issues
+-------------------------
+
+How to make window stay on top
+(for modeless dialogs: use WinSetOwner( TheWindow.Frame.Handle, 
+					OwnerWindow.Frame.Handle );
+
+Make hints show up for disabled controls ( maybe OS/2 limitation ? )
+
Index: /trunk/Sibyl/Readme.txt
===================================================================
--- /trunk/Sibyl/Readme.txt	(revision 9)
+++ /trunk/Sibyl/Readme.txt	(revision 9)
@@ -0,0 +1,147 @@
+Sibyl Library - Aaron Lawrence modifications
+---------------------------
+
+Use Makeall.cmd to build all the units (including resource files)
+
+
+Details
+---------------------------
+Compiled files are put to Lib directory.
+
+Makeall.pas is a dummy program file that includes all the Sibyl units.
+
+Compiler.txt
+IDE.txt
+Libraries.txt
+
+These are bug lists.
+
+
+Changes:
+----------------------
+
+RTL
+v2.0.3.3
+- SYSTEM.PAS
+Turned IO checking (IO exceptions) on again. Grr.
+
+v2.0.3.2
+- PMWIN.PAS
+Added some missing constants to do with frame flags, plus the mouseenter and mouseleave messages which were added for Open32...
+
+v2.0.3.1
+- Dos.pas
+Added GetCurrentProcessID function.
+
+- PMSHL.PAS
+Corrected declaration of SWBLOCK (tasklist data structure) to be an array of SWENTRYs not just a single one.
+
+SPCC
+v2.1.1.1
+- Printers.pas
+Implemented an exception for when new page fails on a printer.
+
+v2.1.0.3
+- STDCTRLS.PAS
+Fixed a bug in combo edit - not correctly checking for maximum when doing a cursor down
+
+v2.1.0.1
+- FILECTRL.PAS
+Fixed a bunch of inverted {$I+} {$I-} pairs. These previously disabled I/O checking as soon as they were run. I'm not really happy about this whole I/O checking implementation it's plainly too fragile.
+
+v2.1.0.0
+- STDCTRLS.PAS
+Combo box can now be owner drawn by setting OwnerDraw to true and handling the OnDrawItem event. In addition, it now behaves more like the native OS/2 combo box.
+
+Note: If a combo box is set to owner draw, but not to csDropDownList, then only the listbox items are owner drawn; the edit part is not (since it can be directly edited).
+
+v2.0.7.0
+- CLASSES.PAS
+Add Insert and Swap methods to TCollection. (Used for TCoolBar2 sections property editor, to allow move up and down)
+
+- COMCTRLS.PAS
+Changed private to protected (Specifically, so TCoolBar2 can access the FSections object of THeaderControl).
+
+- FORMS.PAS
+Tab key did not respect csDetail in componentstate, hence you could e.g. focus the scrollbar in a grid
+
+- STDCTRLS.PAS
+Improve the behaviour of TComboBox:
+- allow form shortcut keys to work when combobox focussed: removed code that deliberately throws away any virtual keys besides tab/backtab/enter.
+- allow typing keys to jump to entries in the list, even when list is not dropped down.
+
+v2.0.6.0
+- GRAPHICS.PAS
+Added GetBitmapReference function to TImageList - much more efficient than using GetBitmap which makes a copy
+Changed private to protected
+
+- STDCTRLS.PAS
+Listbox.sorted was being ignored if set before the window created
+
+v2.0.5.1
+- DIALOGS.PAS
+Declare ExpandPath (I did this for assisting with IDE code...)
+
+- FORMS.PAS
+Some changes to how windows are shown so that if the window is set to maximized or minimised before being shown, it does actually show in the correct state. Previously it would ignore the state, though there was code to try and make it work.
+
+This is not done for Win32.
+
+I had to change it quite a bit to make this work including how the frame is shown, I'm not 100% confident it works in all cases. (FFrame.Show call used previously would seem to confuse things...)
+
+v2.0.5.0
+- FORMS.PAS
+Added an options property to TForm, containing two flags: TitleBar and TaskListEntry. These only take effect if done before the form's window is created (e.g. when parent is set)...
+
+v2.0.4.0
+- FORMS.PAS
+Changed all Private declarations to Protected; this should make it easier in future to build custom components.
+This lead to renaming TControl.Insert to InsertChild since Insert is a string utility function.
+
+- SYSUTILS.PAS
+StrIComp function was wrong; it did not work properly if Str1 was shorter than Str2. So I rewrote the StringICompare it was using.
+
+v2.0.3.7
+- EXTCTRLS.PAS
+Fixed TRadioGroup so that the item index can be set before the control is visible (eg. on a notebook page that isn't initially visible).
+Problem was the code assumed that the control was already visible and that the list of radio buttons had already been created, which is not true until setupshow is run.
+
+v2.0.3.6
+- GRAPHICS.PAS
+Improved TBitmap.DrawDisabled. Now should properly generate a 50%, pixel by pixel cross hatch, instead of ugly lines.
+
+v2.0.3.5
+- FORMS.PAS
+Rewrote TCanvas.MnemoTextOut to do the underline of the shortcut char with a line, instead of changing font. It's simpler and looks better. This fixes up many controls such as bitmap button (TBitBtn), tab notebook etc.
+
+Slightly tidied LockDesktopWIndows and InputHook
+Also removed a few unused vars
+
+v2.0.3.4
+- STDCTRLS.PAS
+Fixed libraries bug 14, Combo box does not drop down when edit box clicked on. Picked up the code from FP4, minus the Linux bits; also added DblClick handler, so that double click acts like two seperate clicks (this bit was  not in Fp4).
+
+v2.0.3.3
+- STDCTRLS.PAS
+Speeded up loading of many items into listbox. This applies to both setup time (when the 'initial items' are put into the actual PM listbox) and if the list is reassigned while being displayed.
+
+v2.0.3.2
+- FORMS.PAS
+Properly fixed tasklist handling for modal dialogs.
+Now the existing entries are hidden and restored after the dialog finishes. So, while a modal dialog is showing, there is only one tasklist entry, which correctly refers to the dialog window.
+
+Note this solution is quite different to the "fix" in Speedsoft Fixpack 4. That fix prevented modal dialogs from showing in the tasklist, but the existing entries were left and selecting them still incorrectly focussed the form in question, not the dialog.
+
+Also, the hook that detects clicks on other windows while a modal dialog is showing, now detects mouse button 2 and 3 clicks as well.
+
+v2.0.3.1
+- FORMS.PAS
+Fixed font dereferencing problem, causing crash after second activation of Font dialog (and probably other problems too).
+
+- SYSUTILS.PAS
+Fixed bug 2, additional zero byte written when copying zero terminated strings.
+
+
+
+
+
Index: /trunk/Sibyl/makeall.cmd
===================================================================
--- /trunk/Sibyl/makeall.cmd	(revision 9)
+++ /trunk/Sibyl/makeall.cmd	(revision 9)
@@ -0,0 +1,59 @@
+/* Rexx */
+
+/* ------------------------------------------------------------------------- */
+/* NewView - a new OS/2 Help Viewer                                          */
+/*                                                                           */
+/* Copyright 2003-2006 Aaron Lawrence (aaronl at consultant dot com)         */
+/* Copyright 2006 Ronald Brill (rbri at rbri.org)                            */
+/*                                                                           */
+/* This software is released under the Gnu Public License                    */
+/*                                                                           */
+/*                                                                           */
+/* 1.) Create all needed output directories                                  */
+/* 2.) Build all the resource files for our customized sibyl                 */
+/* 3.) Compile                                                               */
+/* ------------------------------------------------------------------------- */
+
+
+nv_i18n_dir = directory()
+
+nv_build_dir = value('NV_BUILD', , 'OS2ENVIRONMENT')
+nv_rc = SysMkDir(nv_build_dir)
+
+nv_build_dir_sibyl = nv_build_dir||'\sibyl'
+nv_rc = SysMkDir(nv_build_dir_sibyl)
+
+nv_build_dir_sibyl_lib = nv_build_dir_sibyl||'\lib'
+nv_rc = SysMkDir(nv_build_dir_sibyl_lib)
+
+'cd spcc'
+'rcomp20 english.rc ' nv_build_dir_sibyl_lib
+'rcomp20 buttons.rc ' nv_build_dir_sibyl_lib
+'rcomp20 cursors.rc ' nv_build_dir_sibyl_lib
+'rcomp20 dbctrls.rc ' nv_build_dir_sibyl_lib
+'rcomp20 mmedia.rc ' nv_build_dir_sibyl_lib
+'rcomp20 tabctrls.rc ' nv_build_dir_sibyl_lib
+cd ..
+
+'cd addon'
+'rcomp20 CHECKLB.RC ' nv_build_dir_sibyl_lib
+'rcomp20 COOLBAR.RC ' nv_build_dir_sibyl_lib
+'rcomp20 DIROUTLN.RC ' nv_build_dir_sibyl_lib
+'rcomp20 EDITLIST.RC ' nv_build_dir_sibyl_lib
+'rcomp20 GLYPHBTN.RC ' nv_build_dir_sibyl_lib
+'rcomp20 LED.RC ' nv_build_dir_sibyl_lib
+'rcomp20 SEVEN.RC ' nv_build_dir_sibyl_lib
+'rcomp20 SPIN.RC ' nv_build_dir_sibyl_lib
+'cd ..'
+
+/*
+  Libdir is set to appexp so that Appexp.scu is found. Strange
+    -t1  PM target
+    -L   local symbols debug
+    -D   Debug info
+    -O0  Disable optimisation
+    -$i+ Enable I/O exceptions
+    -$W6 Disable warning "Parameter is declared but never used"
+*/
+'spc20.exe makeall.pas' nv_build_dir_sibyl_lib 'appexp rtl;spcc;addon;appexp; -B -t1 -L -D -O0 -$i+ -$W6-'
+
Index: /trunk/Sibyl/makeall.pas
===================================================================
--- /trunk/Sibyl/makeall.pas	(revision 9)
+++ /trunk/Sibyl/makeall.pas	(revision 9)
@@ -0,0 +1,100 @@
+PROGRAM makeall;
+
+USES
+    CRT,
+    DOS,
+    PRINTER,
+//    SYSTEM,
+    WINCRT,
+{$IFDEF OS2}
+    BSEDEV,
+    BSEDOS,
+    BSEERR,
+    BSEEXCPT,
+    BSESUB,
+    BSETIB,
+    DIVE,
+    INTERNET,
+    MMIO,
+    OPENGL,
+    OS2DEF,
+    PMBITMAP,
+    PMDEV,
+    PMERR,
+    PMGPI,
+    PMHELP,
+    PMSHL,
+    PMSPL,
+    PMSTDDLG,
+    PMWIN,
+    PMWP,
+    PMWSOCK,
+    PORTIO,
+    REXXSAA,
+    SERIALIO,
+    SOCKAPI,
+{$ENDIF OS2}
+{$IFDEF WIN32}
+    COMMCTRL,
+    COMMDLG,
+    DDEML,
+    MMSYSTEM,
+    WINBASE,
+    WINCON,
+    WINDEF,
+    WINGDI,
+    WINNT,
+    WINUSER,
+{$ENDIF WIN32}
+    BUTTONS,
+    CLASSES,
+    CLIPBRD,
+    COMCTRLS,
+    DBBASE,
+    DBCTRLS,
+    DBLAYER,
+    DDEMAN,
+    DIALOGS,
+    DOCKTOOL,
+    EXTCTRLS,
+    FILECTRL,
+    FORMS,
+    GRAPHICS,
+    GRIDS,
+    INIFILES,
+    LANGUAGE,
+    LISTVIEW,
+    MASK,
+    MESSAGES,
+    MMEDIA,
+    OUTLINE,
+    PRINTERS,
+    STDCTRLS,
+    SYSUTILS,
+    TABCTRLS,
+    TOOLSAPI,
+    EDITORS,
+    BMPLIST,
+    CALENDAR,
+    CHART,
+    CHECKLB,
+    CLOCKS,
+    COLORGRD,
+    COOLBAR,
+    DIROUTLN,
+    DUALLIST,
+    EDITLIST,
+    GLYPHBTN,
+    GRADIENT,
+    HINTS,
+    INET,
+    LED,
+    SCKTCOMP,
+    SEVEN,
+    SPIN,
+    SYNCCOMP,
+    XPLORBTN;
+
+
+BEGIN
+END.